%global momorel 5
%global qtdir %{_libdir}/qt3
%global qtver 3.3.4
%global kdedir /usr
%global kdever 3.4.0
%global kdelibsrel 1m
%global ftpdirver 3.4
%global sourcedir stable/%{ftpdirver}/src

Name: kdesdk
Summary: The KDE Software Development Kit (SDK)
Version: %{kdever}
Release: %{momorel}m
Group: User Interface/Desktops
License: GPL
URL: http://www.kde.org/
%NoSource 0 ftp://ftp.kde.org/pub/kde/%{sourcedir}/%{name}-%{version}.tar.bz2 5b88692972e65c5e7d3aafc6400bea2c
## mirror site in Japan.
#%%NoSource 0 ftp://ftp.kde.gr.jp/pub/kde/%{sourcedir}/%{name}-%{version}.tar.bz2 5b88692972e65c5e7d3aafc6400bea2c
Patch0: %{name}-%{version}-nokdelibsuff.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Obsoletes: kbabel ktranslator kless
Requires: kdelibs >= %{kdever}, gimp >= 1.3
BuildPrereq: kdelibs-devel >= %{kdever}-%{kdelibsrel}, libpng >= 1.2.0
BuildPrereq: rpm >= 4.0.4-6k, db4-devel, subversion-devel >= 1.1.3-4m
Excludearch: sparc

%description
A collection of applications and tools used by KDE developers.
This package is including

  cervisia: CVS client part
  kbabel: an editor for *.po files
  kbugbuster: a graphical frontend for the KDE bug reporting system
  kcachegrind: optimize your applications beautifully using cachegrind
  kompare: a program to view the differences between files
  umbrello: a UML modelling tool for KDE

etc.

%package devel
Summary: Development files for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Development files (headers) for %{name}

%prep
%setup -q

%patch -p1 -b .nokdelibsuff

make -f admin/Makefile.common cvs

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir}

FLAGS="$(echo %{optflags} | sed 's|\-fomit\-frame\-pointer||') -D_GNU_SOURCE"
export CFLAGS="$FLAGS"
export CXXFLAGS="$FLAGS"

./configure \
	--prefix=%{_prefix} \
	--sysconfdir=%{_sysconfdir} \
	--mandir=%{_mandir} \
	--libdir=%{_libdir} \
	--enable-shared \
	--enable-static \
	--enable-final

%make

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

make DESTDIR=%{buildroot} install 

# Install stuff that doesn't get installed by make install
mkdir -p %{buildroot}%{_datadir}/gimp/2.0/palettes
install -c -m 644 kdepalettes/KDE_Gimp %{buildroot}%{_datadir}/gimp/2.0/palettes

# make symlinks relative
(
  mkdir -p %{buildroot}%{_docdir}/HTML/en/common
  cd %{buildroot}%{_docdir}/HTML/en
  for i in *; do
    if [ -d $i -a -L $i/common ]; then
      rm -f $i/common
      ln -nfs ../common $i
    fi
  done
)

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/*
%{_libdir}/kde3/plugins/styles/scheck.*
%{_libdir}/kde3/*.a
%{_libdir}/kde3/*.la
%{_libdir}/kde3/*.so
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/*.so.*
%{_datadir}/applications/kde/*.desktop
%{_datadir}/apps/catalogmanager
%{_datadir}/apps/cervisia
%{_datadir}/apps/cervisiapart
%{_datadir}/apps/kabc/formats/*.desktop
%{_datadir}/apps/kapptemplate
%{_datadir}/apps/kbabel
%{_datadir}/apps/kbugbuster
%{_datadir}/apps/kcachegrind
%{_datadir}/apps/kconf_update/* 
%ifnarch x86_64
%{_datadir}/apps/kmtrace
%endif
%{_datadir}/apps/kompare
%{_datadir}/apps/kstyle/themes/*.themerc
%{_datadir}/apps/kuiviewer
%{_datadir}/apps/kuiviewerpart
%{_datadir}/apps/umbrello
%{_datadir}/config.kcfg/*.kcfg
%{_datadir}/doc/HTML/en/cervisia
%{_datadir}/doc/HTML/en/kbabel
%{_datadir}/doc/HTML/en/kbugbuster
%{_datadir}/doc/HTML/en/kcachegrind
%{_datadir}/doc/HTML/en/kompare
%{_datadir}/doc/HTML/en/umbrello
%{_datadir}/gimp/2.0/palettes/KDE_Gimp
%{_datadir}/icons/*/*/*/*.png
%{_datadir}/icons/*/*/*/*.svgz
%{_datadir}/man/man1/*
%{_datadir}/mimelnk/application/*.desktop
%{_datadir}/services/kded/ksvnd.desktop
%{_datadir}/services/kresources/kcal/bugzilla.desktop
%{_datadir}/services/*.desktop
%{_datadir}/services/*.protocol
%{_datadir}/servicetypes/*.desktop

%files devel
%defattr(-,root,root)
%{_includedir}/kbabel
%{_includedir}/*.h

%changelog
* Fri Apr 15 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.4.0-5m)
- modify %%files section

* Thu Apr  7 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.4.0-4m)
- revise %%install section to avoid conflicting with kdelibs

* Tue Mar 29 2005 Toru Hoshina <t@momonga-linux.org>
- (3.4.0-3m)
- kdelibsuff doesn't need to be applied with {_libdir}/qt3/lib.
- kmtrace should not be compiled on x86_64 arch.

* Tue Mar 29 2005 Toru Hoshina <t@momonga-linux.org>
- (3.4.0-2m)
- rebuild against subversion-1.1.3-4m due to svn-config bug.

* Mon Mar 28 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.4.0-1m)
- update to KDE 3.4.0
- add kdesdk-3.4.0-kioslave-svn-Makefile.patch
- remove kdesdk-3.3.2-libdir.patch
- BuildPreReq: db4-devel, subversion-devel

* Mon Feb  7 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (3.3.2-3m)
- kmtrace build fix for x86_64.

* Fri Feb  4 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (3.3.2-2m)
- enable x86_64.

* Mon Dec 13 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.3.2-1m)
- update to KDE 3.3.2
 
* Tue Dec  7 2004 Tsutomu Yasuda <tom@tom.homelinux.org>
- (3.3.1-3m)
  without -fomit-frame-pointer

* Wed Oct 20 2004 Nakamura Hirotaka <h_nakamura@momonga-linux.org>
- (3.3.1-2m)
- modified %%files

* Mon Oct 18 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.3.1-1m)
- update to KDE 3.3.1
 
* Mon Sep 27 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (3.3.0-2m)
- rebuild against kdelibs-3.3.0-3m (libstdc++-3.4.1)

* Fri Sep 24 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.3.0-1m)
- KDE 3.3.0

* Tue Jun 29 2004 Kazuhiko <kazuhiko@fdiary.net>
- (3.2.3-2m)
- rebuild against db4.2

* Thu Jun 17 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.2.3-1m)
- KDE 3.2.3
- Bugfix Release
 
* Sat Apr 24 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.2.3-1m)
- KDE 3.2.3

* Sat Mar 13 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.2.1-1m)
- KDE 3.2.1 Release

* Sat Feb 14 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.2.0-1m)
- KDE 3.2.0
- modified %%files (many new files)

* Thu Jan 15 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (3.1.5-1m)
- update to 3.1.5

* Wed Dec 31 2003 kourin <kourin@fh.freeserve.ne.jp>
- (3.1.4-4m)
- rebuild against for qt-3.2.3

* Sat Nov 8 2003 kourin <kourin@fh.freeserve.ne.jp>
- (3.1.4-3m)
- rebuild against for qt-3.2.3

* Fri Oct 3 2003 kourin <kourin@fh.freeserve.ne.jp>
- (3.1.4-2m)
- not use %%makeinstall

* Fri Sep 26 2003 kourin <kourin@fh.freeserve.ne.jp>
- (3.1.4-1m)
- update to 3.1.4

* Thu Aug 14 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.1.3-1m)
- update to 3.1.3

* Sun Jun 15 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.1.2-2m)
- remove --disable-warnings from configure

* Mon May 26 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.1.2-1m)
- update to 3.1.2
   changes are:
     kbabel: Splash screen can be clicked and does not cover error messages anymore.

* Tue May 20 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.1.1-3m)
- add --disable-warnings to configure
- remove %%{_prefix}/lib/*.a, %{_prefix}/share/apps/kmtrace, %{_prefix}/share/apps/kmtrace/* from %%files devel
    not compiled with glibc 2.3.x or newer

* Sun Mar 23 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (3.1.1-2m)
- rebuild against for XFree86-4.3.0

* Fri Mar 21 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.1.1-1m)
- update to kde-3.1.1
    Cervisia: 
      Fixed line break in protocol view
      Fixed timestamp for files that are not in cvs (#55053)
      Fixed handling of Cervisia's options like 'Update Recursively' when run as embedded part in konqueror (#55665)
 
* Wed Feb  5 2003 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (3.1-1m)
- version up.

* Sun Jan 12 2003 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (3.0.5a-1m)
- ver up.

* Fri Oct 11 2002 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (3.0.4-1m)
- ver up.

* Mon Aug 19 2002 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (3.0.3-1m)
- ver up.

* Wed Jul 17 2002 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (3.0.2-2m)
- rebuild against qt-3.0.5.

* Sun Jul 14 2002 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (3.0.2-1m)
- ver up.

* Sun Jun  9 2002 Tadataka Yoshikawa <yosshy@kondara.org>
- (3.0.1-2k)
- ver up.

* Tue Apr 30 2002 Kenta MURATA <muraken@kondara.org>
- (3.0.0-4k)

* Fri Apr  5 2002 Tsutomu Yasuda <tom@kondara.org>
- (3.0.0-2k)
  update to 3.0 release.

* Thu Mar 21 2002 Toru Hoshina <t@kondara.org>
- (3.0.0-0.0003002k)
- based on 3.0rc3.

* Mon Feb 24 2002 Shingo Akagaki <dora@kondara.org>
- (2.2.2-4k)
- just rebuild for .la fix

* Tue Nov 27 2001 Toru Hoshina <t@kondara.org>
- (2.2.2-2k)
- version up.

* Tue Oct 30 2001 Toru Hoshina <t@kondara.org>
- (2.2.1-6k)
- revised spec.

* Tue Oct 16 2001 Toru Hoshina <t@kondara.org>
- (2.2.1-4k)
- rebuild against libpng 1.2.0.

* Thu Oct  4 2001 Toru Hoshina <t@kondara.org>
- (2.2.1-2k)
- version up.

* Wed Aug 22 2001 Toru Hoshina <toru@df-usa.com>
- (2.2.0-2k)
- stable release.

* Sat Aug 11 2001 Toru Hoshina <toru@df-usa.com>
- (2.2.0-0.0003002k)
- based on 2.2beta1.

* Fri Jun  1 2001 Toru Hoshina <toru@df-usa.com>
- (2.2.0-0.0002002k)
- based on 2.2alpha2.

* Sat May 12 2001 Toru Hoshina <toru@df-usa.com>
- (2.2.0-0.0001002k)

* Wed Mar 21 2001 Toru Hoshina <toru@df-usa.com>
- (2.1-2k)

* Wed Feb 28 2001 Trond Eivind Glomsr?<teg@redhat.com>
- rebuild

* Wed Feb 21 2001 Than Ngo <than@redhat.com>
- 2.1-respin
- fix dangling symlink

* Tue Feb 20 2001 Than Ngo <than@redhat.com>
- update to 2.1

* Fri Feb 16 2001 Than Ngo <than@redhat.com>
- fix to build against glibc
- obsolete ktranslator kless (from powertools)
- clean up specfile
- add missing %post and %postun (ldconfig)

* Tue Feb  6 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Rebuild to get rid of libkdefakes.so.0 requirement
- Obsolete kbabel (from Powertools)

* Sun Jan 28 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- initial RPM
